const parametrizacoes = require('../../../app/model/parametrizacoes');

const route = (router) => {
  router.put('/data/connect/portal/*', (async (req, res) => {
    try {
      const result = await parametrizacoes.updateAssConfig({
        NOME: req.body.NOME,
        ORDEM: req.body.ORDEM,
        DESCRICAO: req.body.DESCRICAO,
        TIPO: req.body.TIPO,
        ATIVO: req.body.ATIVO,
        COMANDO: req.body.COMANDO,
        INTERVALO: req.body.INTERVALO,
        ID: req.body.ID
      })

      result.connection.commit();
      res.send('Sucesso!');
    } catch (error) {
      res.send(error);
    }
  }));

  router.delete('/data/connect/portal/*', (async (req, res) => {
    try {
      const result = await parametrizacoes.deleteAssConfig({
        ID: req.params[0]
      })

      result.connection.commit();
      res.send('Sucesso!');
    } catch (error) {
      res.send(error);
    }
  }));
}

module.exports = route;