const OracleService = require('../service/OracleService');

class loginModel {
  constructor() {
    /**
    * Verifica a exitência da tabela de Portal
    */
    this.GET_LOGIN = `
      SELECT CDOPERADOR, NMOPERADOR, IDOPERACESSO FROM OPERADOR WHERE CDSENHAOPERWEB = :PASSWORD AND DSEMAILOPER = :EMAIL
    `;
  }

  getLogin(parans) {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_LOGIN, parans);
    });
  }
}

module.exports = new loginModel();
